PKG-ADD(8)

NAME
pkg add - Registers a package and installs it on the system

SYNOPSIS
pkg add <pkg-name>
pkg add <url>://<pkg-name>

DESCRIPTION
pkg add installs a package from either a local source or a remote one.

When installing from a remote source you need to specify the protocol to use when fetching the package.

Currently supported protocols are FTP, HTTP and HTTPS.

OPTIONS
The following options are supported by pkg add:

ENVIRONMENT
The following environment variables affect the execution of pkg add. See pkg.conf(5) for further description.

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(8), pkg-create(8), pkg-autoremove(8), pkg-search(8), pkg-backup(8), pkg-install(8), pkg-delete(8), pkg-info(8), pkg-register(8), pkg-repo(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8), pkg.conf(5)